1

A part of the code that I have written is the following:

   \documentclass[chapterprefix=true]{scrreprt}
\usepackage[utf8]{inputenc}
\usepackage[german,english,greek]{babel} 
\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amsfonts} 
\usepackage{amssymb} 
\usepackage{booktabs}
\usepackage{siunitx}
\usepackage{mathdots} 

\usepackage{cite} 

\usepackage[sf,sl,outermarks]{titlesec}  

\usepackage[shortlabels]{enumitem}
\newtheorem{mylemma}{Λήμμα}[chapter] 
\newtheorem{mytheorem}{Θεώρημα}[chapter] 
\newtheorem*{myproofidea*}{Ιδέα της απόδειξης}
\newtheorem{mydef}{Ορισμός}[chapter] 
\newtheorem{example}{Παράδειγμα}[chapter] 
\newtheorem{corollary}{Πόρισμα}[chapter] 
\newtheorem{remark}{Παρατήρηση}[chapter]

\titleformat{\chapter}[display]
  {\bfseries\Large}
  {\MakeUppercase{\chaptertitlename} \Huge\thechapter}
  {4ex}
  {\titlerule\vspace{2ex}}
  [\vspace{2ex}\titlerule] 

\titleformat{\section}{\bfseries}{\thesection}{1em}{} 

\DeclareMathOperator{\Char}{char} 

\begin{document} 

\title{  }

\author{  } 

\date{ }

\maketitle 

\clearpage 

\tableofcontents 

\clearpage 

\chapter{ Εισαγωγή } 

\chapter{Θεωρία 1} 

\section{Ενότητα} 

\chapter{Θεωρία 2} 

\chapter{Πρόβλημα του \foreignlanguage{english}{Grothendieck}} 



\end{document}

When I compile it I get the following errors:

enter image description here

What have I done wrong?

  • I get lots of warnings with that code because you are using incompatible things. But I do not get any errors. My best guess would be that your .tex file is not UTF8 encoded. – cfr Nov 27 '15 at 2:28
  • But what's \originalTeX? Does the exact code you've posted give those errors when pasted into a new .tex file? – cfr Nov 27 '15 at 2:29
  • @OP Can you minimise the code? It would be good to find the absolute minimum necessary to produce the error. Take out any line which you can remove while still producing the error. – cfr Nov 27 '15 at 4:19
  • Received several alerts and an error from package siunitx: support package expl3 too old. After updating Miktex everything is ok, compiled without errors/alerts. – Robert Nov 27 '15 at 8:35
  • 1
    The problem has been fixed with babel-greek version 1.9e, released on 2015/11/27 – egreg Nov 29 '15 at 11:35